// priority: 0

StartupEvents.registry("block", (event) => {
  /* Example event
  event.create("modid:blockid") // Create a new block
    .displayName("a display name string") // Set a custom name
    .mapColor("color") // Set a material (affects the sounds and some properties)
    .soundType("string")
    .hardness(2.0) // Set hardness (affects mining time) (double)
    .resistance(1.0) // Set resistance (to explosions, etc) (double)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below) (boolean)
    .tagBlock("modid:tagid") // Tag the block with 
    .tagBlock("mineable/pickaxe") // or a pickaxe
    .tagBlock('minecraft:needs_iron_tool') // the tool tier must be at least iron */

  event
    .create("create_new_age:neodymized_magnet")
    .displayName("Neodymized Magnet")
    .mapColor("color_purple")
    .soundType("amethyst")
    .hardness(2.0)
    .resistance(1.0)
    .requiresTool(true)
    .tagBlock("create_new_age:custom_magnet")
    .tagBlock("create_new_age:magnets/strength_2")
    .tagBlock("mineable/pickaxe")
    .tagBlock("minecraft:needs_iron_tool");

  event
    .create("create_new_age:overcharged_magnet")
    .displayName("Overcharged Magnet")
    .mapColor("color_purple")
    .soundType("amethyst")
    .hardness(2.0)
    .resistance(1.0)
    .requiresTool(true)
    .tagBlock("create_new_age:custom_magnet")
    .tagBlock("create_new_age:magnets/strength_6")
    .tagBlock("mineable/pickaxe")
    .tagBlock("minecraft:needs_iron_tool");

  event
    .create("create_new_age:sculked_magnet")
    .displayName("Sculked Magnet")
    .mapColor("color_purple")
    .soundType("amethyst")
    .hardness(2.0)
    .resistance(1.0)
    .requiresTool(true)
    .tagBlock("create_new_age:custom_magnet")
    .tagBlock("create_new_age:magnets/strength_14")
    .tagBlock("mineable/pickaxe")
    .tagBlock("minecraft:needs_iron_tool");

  event
    .create("create_new_age:lunar_magnet")
    .displayName("Lunar Magnet")
    .mapColor("color_purple")
    .soundType("amethyst")
    .hardness(2.0)
    .resistance(1.0)
    .requiresTool(true)
    .tagBlock("create_new_age:custom_magnet")
    .tagBlock("create_new_age:magnets/strength_31")
    .tagBlock("mineable/pickaxe")
    .tagBlock("minecraft:needs_iron_tool");

  event
    .create("create_new_age:martian_magnet")
    .displayName("Martian Magnet")
    .mapColor("color_purple")
    .soundType("amethyst")
    .hardness(2.0)
    .resistance(1.0)
    .requiresTool(true)
    .tagBlock("create_new_age:custom_magnet")
    .tagBlock("create_new_age:magnets/strength_79")
    .tagBlock("mineable/pickaxe")
    .tagBlock("minecraft:needs_iron_tool");

  event
    .create("generikb", "cardinal")
    .displayName("Hermit Doll")
    .model("kubejs:block/generikb")
    .box(5, 0, 5, 11, 11, 11)
    .defaultTranslucent();
});
